@ECHO OFF&PUSHD %~DP0 &TITLE 绿化 
taskkill /f /im BaiduMusic* >NUL 2>NUL
:Menu
echo.&echo +.创建桌面百度音乐
echo.&echo a.绿化(必须执行,否则无法关联)
echo.&echo b.卸载(可选执行,卸载比较彻底)
echo.&echo.
set /p a=输入数字回车：
if "%a%"=="+" Goto DesktopLnk
if "%a%"=="a" Goto install
if "%a%"=="b" Goto uninstall
:install
BaiduMusic.exe /install
SET E=完成!&GOTO MSGBOX
:uninstall
BaiduMusic.exe /uninstall
rd/s/q "%AppData%\baidu\BaiduMusic"2>NUL
SET E=完成!&GOTO MSGBOX
:DesktopLnk
mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(a.SpecialFolders(""Desktop"") & ""\百度音乐.lnk""):b.TargetPath=""%~dp0BaiduMusic.exe"":b.WorkingDirectory=""%~dp0"":b.Save:close")&SET E=完成!&GOTO MSGBOX
:MsgBox
if "%1"=="" mshta VBScript:MsgBox("%e%",vbSystemModal,"")(close)& Cls&Goto Menu
ECHO.&ECHO.完成! &PAUSE >NUL 2>NUL